{{/*
This file is part of SystemTestPortal.
Copyright (C) 2017  Institute of Software Technology, University of Stuttgart

SystemTestPortal is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

SystemTestPortal is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with SystemTestPortal.  If not, see <http://www.gnu.org/licenses/>.
*/}}

{{define "tab-content"}}
<div id="tabTestCases">
    <div class="row tab-side-bar-row">
        <div class="col-md-12">
            <h4 class="mb-3">
                <span id="contentTestCaseResult" class="text-muted"></span>
                {{ .Project.Owner }}/{{ .Project.Name }} : <span id="protocolName">Protocol</span></h4>
            <div id="contentTestCaseNotesContainer" class="form-group d-none">
                <label><strong>Notes</strong></label>
                <p id="contentTestCaseNotes" class="text-muted">
                    No Notes
                </p>
            </div>
            <div class="form-group">
                <label><strong>Test Sequence Description</strong></label>
                <p id="contentTestSequenceDescription" class="text-muted">
                    No Description
                </p>
            </div>
            <div class="form-group">
                <label><strong>Test Sequence Preconditions</strong></label>
                <p id="contentTestSequencePreconditions" class="text-muted">
                    No Conditions
                </p>
            </div>
            <div class="form-group">
                <label><strong>Test Case Results</strong></label>
                <table class="table table-hover table-responsive">
                    <thead>
                    <tr>
                        <th style="width:10%;">Result</th>
                        <th style="width:90%;">Test Case</th>
                        <!--<th style="width:40%;">Time</th>-->
                    </tr>
                    </thead>
                    <tbody id="protocolTable">
                    <tr>
                        <td colspan="2" class="text-center">... Loading ...</td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <div class="form-group">
                <label><strong>Execution Date</strong></label>
                <p id="contentTestSequenceExecutionDate" class="text-muted">

                </p>
            </div>
            <div class="form-group">
                <label><strong>Tester</strong></label>
                <p id="contentTestSequenceTester" class="text-muted">
                    some user
                </p>
            </div>
            <div class="form-group">
                <label><strong>System Version</strong></label>
                <p id="contentTestSequenceSUTVersion" class="text-muted">
                    some system version
                </p>
            </div>
            <div class="form-group">
                <label><strong>System Variant</strong></label>
                <p id="contentTestSequenceSUTVariant" class="text-muted">
                    some variant
                </p>
            </div>
            <div class="form-group">
                <label><strong>Sequence Version</strong></label>
                <p id="contentTestSequenceVersion" class="text-muted">
                    some version
                </p>
            </div>
        </div>
    </div>
</div>

<!-- Import Scripts here -->
<script src="/static/js/project/testprotocols.js" integrity="{{sha256 "/static/js/project/testprotocols.js"}}"></script>
{{ end }}